## org.eclipse.ocl.types.operations
Class MessageTypeOperations

    java.lang.Object
      org.eclipse.ocl.types.operations.MessageTypeOperations

    public class MessageTypeOperations

extends Object

A static utility class that provides operations related to 'Message Type' model objects.

The following operations are supported:

- `Get Name`
- `Ocl Operations`
- `Check Exclusive Signature`
- `Check Operation Parameters`
- `Check Signal Attributes`
- `Ocl Properties`

Constructor Summary
`protected` `MessageTypeOperations()`

Method Summary

`static

`<C,O,P> boolean`

`

`checkExclusiveSignature(MessageType<C,O,P> messageType, DiagnosticChain diagnostics, Map<Object,Object> context)`
referredOperation->size() + referredSignal->size() = 1

`static

`<C,O,P> boolean`

`

`checkOperationParameters(MessageType<C,O,P> messageType, DiagnosticChain diagnostics, Map<Object,Object> context)`
referredOperation->size()=1 implies Set{1..self.ownedAttribute->size()}->forAll(i | self.ownedAttribute.at(i).cmpSlots( referredOperation.ownedParameter.asProperty()->at(i))

`static

`<C,O,P> boolean`

`

`checkSignalAttributes(MessageType<C,O,P> messageType, DiagnosticChain diagnostics, Map<Object,Object> context)`
referredSignal->size() = 1 implies Set{1..self.ownedAttribute->size()}->forAll(i | self.ownedAttribute.asOrderedSet().at(i).cmpSlots( referredSignal.ownedAttribute.asOrderedSet()->at(i))

`static

`<C,O,P> String`

`

`getName(MessageType<C,O,P> messageType)`

`static

`<C,O,P> EList<O>`

`

`oclOperations(MessageType<C,O,P> messageType)`

`static

`<C,O,P> EList<P>`

`

`oclProperties(MessageType<C,O,P> messageType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageTypeOperations

    protected MessageTypeOperations()

Method Detail

### getName

    public static <C,O,P> String getName(MessageType<C,O,P> messageType)

  Since:
    1.3

### oclOperations

    public static <C,O,P> EList<O> oclOperations(MessageType<C,O,P> messageType)

  Since:
    1.3

### checkExclusiveSignature

    public static <C,O,P> boolean checkExclusiveSignature(MessageType<C,O,P> messageType,
                                                          DiagnosticChain diagnostics,
                                                          Map<Object,Object> context)

  referredOperation->size() + referredSignal->size() = 1

  Parameters:
    `messageType` - The receiving 'Message Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkOperationParameters

    public static <C,O,P> boolean checkOperationParameters(MessageType<C,O,P> messageType,
                                                           DiagnosticChain diagnostics,
                                                           Map<Object,Object> context)

  referredOperation->size()=1 implies Set{1..self.ownedAttribute->size()}->forAll(i | self.ownedAttribute.at(i).cmpSlots( referredOperation.ownedParameter.asProperty()->at(i))

  Parameters:
    `messageType` - The receiving 'Message Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkSignalAttributes

    public static <C,O,P> boolean checkSignalAttributes(MessageType<C,O,P> messageType,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  referredSignal->size() = 1 implies Set{1..self.ownedAttribute->size()}->forAll(i | self.ownedAttribute.asOrderedSet().at(i).cmpSlots( referredSignal.ownedAttribute.asOrderedSet()->at(i))

  Parameters:
    `messageType` - The receiving 'Message Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### oclProperties

    public static <C,O,P> EList<P> oclProperties(MessageType<C,O,P> messageType)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.